Bug 234401 - devel/aws-c-event-stream: fix build with GCC-based architectures
Summary: devel/aws-c-event-stream: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-25 17:13 UTC by Piotr Kubaj
Modified: 2019-01-12 18:39 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (danilo)


Attachments
patch (342 bytes, patch)
2018-12-25 17:13 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj 2018-12-25 17:13:14 UTC
Created attachment 200504 [details]
patch

Add USES=compiler:c11 to fix build on GCC architectures.

This port should technically build with base GCC, but it adds -Wno-sign-conversion to CFLAGS, which is automatically added by ninja and isn't found anywhere in the source files by grepping them.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Danilo Egea Gondolfo freebsd_committer 2018-12-25 22:16:10 UTC
This flag probably comes from /usr/local/lib/cmake/AwsCFlags.cmake. This file is intalled by devel/aws-c-commons.
Comment 2 Piotr Kubaj 2019-01-03 19:05:35 UTC
(In reply to Danilo Egea Gondolfo from comment #1)
Yes, you're right.

Do you want me to make a patch to remove this flag, or do you prefer to add USES=compiler:c11 to this port?
Comment 3 Danilo Egea Gondolfo freebsd_committer 2019-01-08 23:23:21 UTC
Give me few days to work on it. There are other changes I want to do.
Comment 4 commit-hook freebsd_committer 2019-01-12 18:37:08 UTC
A commit references this bug:

Author: danilo
Date: Sat Jan 12 18:36:40 UTC 2019
New revision: 490071
URL: https://svnweb.freebsd.org/changeset/ports/490071

Log:
  - Update to 0.1.1
  - Add compiler:c11 to fix build on archs that still use GCC as default compiler [1]

  PR:		234401
  Submitted by:	Piotr Kubaj [1]

Changes:
  head/devel/aws-c-event-stream/Makefile
  head/devel/aws-c-event-stream/distinfo
  head/devel/aws-c-event-stream/pkg-plist
Comment 5 Danilo Egea Gondolfo freebsd_committer 2019-01-12 18:39:05 UTC
Committed. Thanks!